<!-- side modal -->
<app-side-modal (closeClick)="closeClick.emit()">
  <!-- switch by view -->
  <ng-container [ngSwitch]="view">
    <!-- default -->
    <ng-container *ngSwitchCase="'default'">
      <!-- default -->
      <app-create-space-default
        (cancelClick)="closeClick.emit()"
        (submitted)="onSubmitted()"
      ></app-create-space-default>
    </ng-container>

    <!-- success -->
    <ng-container *ngSwitchCase="'success'">
      <!-- keyholder success -->
      <app-create-space-success
        (addNewClick)="onAddNewClicked()"
        (closeClick)="closeClick.emit()"
      ></app-create-space-success>
    </ng-container>
  </ng-container>
</app-side-modal>
